using System;
using System.Data;
using Microsoft.Practices.EnterpriseLibrary.Data;

namespace EntLibQuickStarts
{
	public sealed class Credits
	{
		private Credits() {}

		/// <summary>
		/// Inserts a record into the Credits table.
		/// </summary>
		public static int Insert(string accountID, decimal amount)
		{
			Database myDatabase = DatabaseFactory.CreateDatabase();
			DBCommandWrapper myCommand = myDatabase.GetStoredProcCommandWrapper("SampleCreditsInsert");

			myCommand.AddInParameter("@AccountID", DbType.String, accountID);
			myCommand.AddInParameter("@Amount", DbType.Currency, amount);

			// Execute the query and return the new identity value
			return Convert.ToInt32(myDatabase.ExecuteScalar(myCommand));
		}

		/// <summary>
		/// Selects all records from the Credits table.
		/// </summary>
		public static IDataReader SelectAll()
		{
			Database myDatabase = DatabaseFactory.CreateDatabase();
			DBCommandWrapper myCommand = myDatabase.GetStoredProcCommandWrapper("SampleCreditsSelectAll");

			return myDatabase.ExecuteReader(myCommand);
		}
	}
}
